package com.mortals.xhx.office.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.alibaba.excel.EasyExcel;
import com.mortals.xhx.common.pdu.ApiRespPdu;
import com.mortals.xhx.office.model.InformationEntity;
import com.mortals.xhx.office.service.InformationService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonController;
import org.springframework.web.bind.annotation.PostMapping;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.multipart.MultipartFile;


/**
* <p>Title: 办件信息</p>
* <p>Description: InformationController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author
* @version 1.0.0
*/
@RestController
@RequestMapping("information")
public class InformationController extends BaseCRUDJsonController<InformationService,InformationForm,InformationEntity,Long> {

    public InformationController(){
        super.setFormClass(InformationForm.class);
        super.setModuleDesc( "办件信息");
    }

    /**
    * 查询办件信息
    */
    @PostMapping(value="list")
    public String list(HttpServletRequest request, HttpServletResponse response, InformationForm form) {
    try{
        return super.list(request, response, form);
    }catch(Exception e){
        log.error("查询办件信息列表错误",e);
        JSONObject ret = new JSONObject();
        ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
        ret.put(KEY_RESULT_MSG, super.convertException(e));
        return ret.toJSONString();
        }
    }
    /**
    * 添加办件信息
    */
    @PostMapping(value="add")
    public String add(HttpServletRequest request, HttpServletResponse response, InformationForm form) {
        try{
            return super.add(request, response, form);
        }catch(Exception e){
            log.error("添加办件信息错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 编辑办件信息
    */
    @PostMapping(value="edit")
    public String edit(HttpServletRequest request, HttpServletResponse response, InformationForm form) {
        try{
            return super.edit(request, response, form);
        }catch(Exception e){
            log.error("编辑办件信息错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 保存办件信息
    */
    @PostMapping(value="save")
    public String save(HttpServletRequest request, HttpServletResponse response, InformationForm form) {
        try{
            return super.save(request, response, form);
        }catch(Exception e){
            log.error("保存办件信息错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 删除办件信息
    */
    @PostMapping(value="delete")
    public String delete(HttpServletRequest request, HttpServletResponse response, InformationForm form) {
        try{
            return super.delete(request, response, form);
        }catch(Exception e){
            log.error("删除办件信息错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 查看办件信息
    */
    @PostMapping(value="view")
    public String view(HttpServletRequest request, HttpServletResponse response, InformationForm form) {
        try{
            return super.view(request, response, form);
        }catch(Exception e){
            log.error("查看办件信息错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }

//    /**
//     * 导入办件信息，一阶段通过excel表格导入
//     */
//    @PostMapping(value="importOfficeInformation")
//    public ApiRespPdu importOfficeInformation(@RequestPart("file") MultipartFile file) {
//        ApiRespPdu<Object> objectApiRespPdu = new ApiRespPdu<>();
//        try{
//            EasyExcel.read(file.getInputStream(),)
//            objectApiRespPdu.setCode(200);
//            objectApiRespPdu.setMsg("数据上传成功");
//            return objectApiRespPdu;
//        }catch(Exception e){
//            e.printStackTrace();
//            objectApiRespPdu.setCode(500);
//            objectApiRespPdu.setMsg("数据上传失败，失败原因:"+e.getMessage());
//            return objectApiRespPdu;
//        }
//    }




}