package com.mortals.xhx.office.web;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.mortals.xhx.office.model.InformationExtEntity;
import com.mortals.xhx.office.service.InformationExtService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.web.BaseCRUDJsonController;
import org.springframework.web.bind.annotation.PostMapping;
import com.alibaba.fastjson.JSONObject;


/**
* <p>Title: 办件信息拓展表</p>
* <p>Description: InformationExtController  </p>
* <p>Copyright: Copyright &reg;  </p>
* <p>Company: </p>
* @author
* @version 1.0.0
*/
@RestController
@RequestMapping("information/ext")
public class InformationExtController extends BaseCRUDJsonController<InformationExtService,InformationExtForm, InformationExtEntity,Long> {

    public InformationExtController(){
        super.setFormClass(InformationExtForm.class);
        super.setModuleDesc( "办件信息拓展表");
    }

    /**
    * 查询办件信息拓展表
    */
    @PostMapping(value="list")
    public String list(HttpServletRequest request, HttpServletResponse response, InformationExtForm form) {
    try{
        return super.list(request, response, form);
    }catch(Exception e){
        log.error("查询办件信息拓展表列表错误",e);
        JSONObject ret = new JSONObject();
        ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
        ret.put(KEY_RESULT_MSG, super.convertException(e));
        return ret.toJSONString();
        }
    }
    /**
    * 添加办件信息拓展表
    */
    @PostMapping(value="add")
    public String add(HttpServletRequest request, HttpServletResponse response, InformationExtForm form) {
        try{
            return super.add(request, response, form);
        }catch(Exception e){
            log.error("添加办件信息拓展表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 编辑办件信息拓展表
    */
    @PostMapping(value="edit")
    public String edit(HttpServletRequest request, HttpServletResponse response, InformationExtForm form) {
        try{
            return super.edit(request, response, form);
        }catch(Exception e){
            log.error("编辑办件信息拓展表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 保存办件信息拓展表
    */
    @PostMapping(value="save")
    public String save(HttpServletRequest request, HttpServletResponse response, InformationExtForm form) {
        try{
            return super.save(request, response, form);
        }catch(Exception e){
            log.error("保存办件信息拓展表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 删除办件信息拓展表
    */
    @PostMapping(value="delete")
    public String delete(HttpServletRequest request, HttpServletResponse response, InformationExtForm form) {
        try{
            return super.delete(request, response, form);
        }catch(Exception e){
            log.error("删除办件信息拓展表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }
    /**
    * 查看办件信息拓展表
    */
    @PostMapping(value="view")
    public String view(HttpServletRequest request, HttpServletResponse response, InformationExtForm form) {
        try{
            return super.view(request, response, form);
        }catch(Exception e){
            log.error("查看办件信息拓展表错误",e);
            JSONObject ret = new JSONObject();
            ret.put(KEY_RESULT_CODE, VALUE_RESULT_FAILURE);
            ret.put(KEY_RESULT_MSG, super.convertException(e));
            return ret.toJSONString();
        }
    }


}